<id>
Link to This Topic for YaBB 2.5
</id>

<version>
1.2
</version>

<mod info>
Description
-----------
This mod adds a 'Link to This Topic' box below threads in Message View.

Installation
------------
1) Modify YaBB files using BoardMod or manually.
2) Upload modified files to your server in ASCII mode.
3) Upload linktopic.gif to the default images directory in Binary mode.
4) Go to 'Admin Center - Forum Settings - Show / Hide Items' to enable this feature.

Files to edit
-------------
Admin/ManageTemplates.pl
Admin/ModList.pl
Admin/NewSettings.pl
Admin/Settings_Main.pl
Sources/Display.pl
Templates/default/Display.template
Templates/yabb21/Display.template

History
-------
1.0 - First Release - 1st September 2009
1.1 - Fixed issue with unwanted '&' symbols appearing with some peoples servers (Thanks to Carsten for pointing out the fix!) - 7th January 2010
1.1a - Fixed YaBB tag displaying in Template Configuration - 8th January 2010
1.2 - Updated for YaBB 2.5 - 13th January 2011
</mod info>

<author>
Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ManageTemplates.pl
</edit file>

<search for>
	$display_template =~ s/({|<)yabb pageindex bottom(}|>)/$temppageindex1/g;
</search for>

<add after>
	$display_template =~ s/({|<)yabb linktopic(}|>)//g; ### Link to This Topic Mod ###
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$link_topic_mod = "Link to This Topic|Derek Barnstorm|This mod adds a 'Link to This Topic' box below threads in Message View.|1.2|13th January 2011";
	push (@installed_mods, "$link_topic_mod");
	
</add before>

<edit file>
Admin/NewSettings.pl
</edit file>

<search for>
\$showgenderimage = $showgenderimage;			# Set to 1 to display each member's gender in the message view (by the ICQ.. etc.)
</search for>

<add after>
\$show_link_topic = $show_link_topic;			# Set to 1 to display 'Link to This Topic' below threads in message view
</add after>

<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
&LoadLanguage('Register');
</search for>

<add after>
&LoadLanguage('LinkTopic'); ### Link to This Topic Mod ###
</add after>

<search for>
		{
			description => qq~<label for="showallgroups">$amv_txt{'12'}</label>~,
</search for>

<add before>
		### Link to This Topic Mod Start ###
		{
			description => qq~<label for="show_link_topic">$link_topic_txt{'10'}</label>~,
			input_html => qq~<input type="checkbox" name="show_link_topic" id="show_link_topic" value="1"${ischecked($show_link_topic)} />~,
			name => 'show_link_topic',
			validate => 'boolean',
		},
		### Link to This Topic Mod End ###
</add before>

<edit file>
Sources/Display.pl
</edit file>

<search for>
	# Mark as read button has no use in global announcements or for guests
</search for>

<add before>
    ### Link to This Topic Mod Start ###
    my $link_topic    = '';
    my $link_to_perma = '';
    if (!$movedflag && !${$uid.$currentboard}{'rbin'} && $show_link_topic) {	
        &LoadLanguage('LinkTopic');
        if ($accept_permalink == 1) {
            $link_to_perma = qq~
  <tr>
    <td width="10%" class="windowbg2"><label for="link_perma"><span class="small" style="font-weight: bold; cursor: pointer;">$link_topic_txt{'05'}:</span></label></td>
    <td class="windowbg2"><input type="text" id="link_perma" class="small" style="width: 98%; cursor: pointer;" onclick="this.select();" value="http://$perm_domain/$symlink$permdate/$currentboard/$mnum" title="$link_topic_txt{'09'}" readonly="readonly" /></td>
  </tr>~;
        } 
        $link_topic = qq~
<br />
<div class="displaycontainer">
<table cellpadding="3" cellspacing="0" border="0" width="100%">
  <tr>
    <th colspan="2" class="titlebg" style="text-align: left; height: 18px;"><img src="$imagesdir/linktopic.gif" border="0" alt="" style="vertical-align: middle;" /> $link_topic_txt{'01'}</th>
  </tr>
  <tr>
    <td width="10%" class="windowbg2"><label for="link_html"><span class="small" style="font-weight: bold; cursor: pointer; white-space: nowrap;">$link_topic_txt{'02'}:</span></label></td>
    <td class="windowbg2"><input type="text" id="link_html" class="small" style="width: 98%; cursor: pointer;" onclick="this.select();" value="&lt;a href=&quot;$scripturl?num=$mnum&quot; target=&quot;_blank&quot;&gt;$msubthread&lt;/a&gt;" title="$link_topic_txt{'06'}" readonly="readonly" /></td>
  </tr>
  <tr>
    <td width="10%" class="windowbg2"><label for="link_bbcode"><span class="small" style="font-weight: bold; cursor: pointer;">$link_topic_txt{'03'}:</span></label></td>
    <td class="windowbg2"><input type="text" id="link_bbcode" class="small" style="width: 98%; cursor: pointer;" onclick="this.select();" value="&#91;url=$scripturl?num=$mnum&#93;$msubthread&#91;/url&#93;" title="$link_topic_txt{'07'}" readonly="readonly" /></td>
  </tr>
  <tr>
    <td width="10%" class="windowbg2"><label for="link_url"><span class="small" style="font-weight: bold; cursor: pointer;">$link_topic_txt{'04'}:</span></label></td>
    <td class="windowbg2"><input type="text" id="link_url" class="small" style="width: 98%; cursor: pointer;" onclick="this.select();" value="$scripturl?num=$mnum" title="$link_topic_txt{'08'}" readonly="readonly" /></td>
  </tr>
  $link_to_perma
</table>
</div>
<br />~;
    }
    ### Link to This Topic Mod End ###

</add before>

<search for>
	$display_template =~ s/({|<)yabb pageindex bottom(}|>)/$pageindex2/g;
</search for>

<add after>
	$display_template =~ s/({|<)yabb linktopic(}|>)/$link_topic/g; ### Link to This Topic Mod ###
</add after>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
<!-- Threads Admin Button Bar start -->
</search for>

<add before>
<!-- Link to this Topic start -->

{yabb linktopic}

<!-- Link to this Topic end -->

</add before>

<edit file>
Templates/yabb21/Display.template
</edit file>

<search for>
<!-- Threads Admin Button Bar and Jump box start -->
</search for>

<add before>
<!-- Link to this Topic start -->

<yabb linktopic>

<!-- Link to this Topic end -->

</add before>
